package com.ruoyi.system.domain.task.dto;

import com.ruoyi.system.domain.task.TkCommonLeader;
import com.ruoyi.system.domain.task.TkCommonQianpi;
import com.ruoyi.system.domain.task.TkCommonTaskDynamic;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class TkCommonTaskExt {

    private String remark;

    private String flag;


    private String id;

    /**
     * 任务id
     *
     * @mbg.generated
     */
    private String tkId;

    /**
     * 任务状态
     *
     * @mbg.generated
     */
    private Integer tkStatus;

    /**
     * 任务名称
     *
     * @mbg.generated
     */
    private String tkName;

    /**
     * 发布人用户id
     *
     * @mbg.generated
     */
    private String releaseUserId;

    /**
     * 发布人用户姓名
     *
     * @mbg.generated
     */
    private String releaseUserName;

    /**
     * 指派人id
     *
     * @mbg.generated
     */
    private String assignedUserId;

    /**
     * 指派人名字
     *
     * @mbg.generated
     */
    private String assignedUserName;

    /**
     * 执行人用户id
     *
     * @mbg.generated
     */
    private String performUserId;

    /**
     * 执行人用户姓名
     *
     * @mbg.generated
     */
    private String performUserName;

    /**
     * 执行完成期限
     *
     * @mbg.generated
     */
    private Date assignedEndTime;

    /**
     * 处理完成时间
     *
     * @mbg.generated
     */
    private Date assignedTime;

    /**
     * 指派说明
     *
     * @mbg.generated
     */
    private String assignedNode;

    /**
     * 执行说明
     *
     * @mbg.generated
     */
    private String performNode;

    /**
     * 指派核查人id
     *
     * @mbg.generated
     */
    private String zpVerificationUserId;

    /**
     * 指派核查人姓名
     *
     * @mbg.generated
     */
    private String zpVerificationUserName;

    /**
     * 核查人id
     *
     * @mbg.generated
     */
    private String verificationUserId;

    /**
     * 核查人姓名
     *
     * @mbg.generated
     */
    private String verificationUserName;

    /**
     * 核查完成期限
     *
     * @mbg.generated
     */
    private Date verificationEndTime;

    /**
     * 核查完成时间
     *
     * @mbg.generated
     */
    private Date verificationTime;

    /**
     * 核查说明
     *
     * @mbg.generated
     */
    private String verificationNode;

    /**
     * 核查状态 0通过 1不通过
     *
     * @mbg.generated
     */
    private Integer verificationStatus;

    /**
     * 任务评分
     *
     * @mbg.generated
     */
    private Integer tkScore;

    /**
     * 最终评价
     *
     * @mbg.generated
     */
    private String endNode;

    /**
     * 评价时间
     *
     * @mbg.generated
     */
    private Date endTime;

    /**
     * 优先级-普通0-1重要-2紧急
     *
     * @mbg.generated
     */
    private Integer priorityType;

    /**
     * 所属网格
     *
     * @mbg.generated
     */
    private String belongGrid;

    /**
     * 事项类型 1城乡综合网格、2企业网格、3资产网格
     *
     * @mbg.generated
     */
    private Integer matterType;

    /**
     * 事项id
     *
     * @mbg.generated
     */
    private String matterId;

    /**
     * 事项名字
     *
     * @mbg.generated
     */
    private String matterName;

    /**
     * 延时-0正常-1延时-2同意延时-3拒绝延时
     *
     * @mbg.generated
     */
    private Integer timeDelay;

    /**
     * 是否作废-0正常-1作废
     *
     * @mbg.generated
     */
    private Integer isDelete;

    /**
     * 发布时间
     *
     * @mbg.generated
     */
    private Date releaseTime;

    /**
     * 任务地址
     *
     * @mbg.generated
     */
    private String tkAddress;

    /**
     * 处理方式-0自行处理-1上报上级-2上报中心-3指派下级
     *
     * @mbg.generated
     */
    private Integer handleType;

    /**
     * 督办人id
     *
     * @mbg.generated
     */
    private String overseeId;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private Date createTime;

    /**
     * 创建人
     *
     * @mbg.generated
     */
    private String createBy;

    /**
     * 修改时间
     *
     * @mbg.generated
     */
    private Date updateTime;

    /**
     * 修改人
     *
     * @mbg.generated
     */
    private String updateBy;

    /**
     * 逻辑删除  备用字段
     *
     * @mbg.generated
     */
    private String standby1;

    /**
     * 任务上报到哪一级。3三级 2二级 1一级 0中心
     *
     * @mbg.generated
     */
    private String standby2;

    /**
     * 备用3  督办人
     *
     * @mbg.generated
     */
    private String standby3;

    /**
     * 备用4 申请延时时间(未同意时暂时存储，同意后覆盖完成期限时间）
     *
     * @mbg.generated
     */
    private String standby4;

    /**
     * 备用5
     *
     * @mbg.generated
     */
    private String standby5;

    /**
     * 巡查id
     *
     * @mbg.generated
     */
    private String roundSubtaskId;

    /**
     * 巡查code
     *
     * @mbg.generated
     */
    private String roundSubtaskCode;

    /**
     * 网格code
     *
     * @mbg.generated
     */
    private String wgCode;

    /**
     * 经度
     *
     * @mbg.generated
     */
    private String longitude;

    /**
     * 纬度
     *
     * @mbg.generated
     */
    private String latitude;

    /**
     * 评价人id
     *
     * @mbg.generated
     */
    private String pjPersonId;

    /**
     * 评价人姓名
     *
     * @mbg.generated
     */
    private String pjPersonName;

    /**
     * 创建人角色等级 0中心 1一级 2二级 3 三级
     *
     * @mbg.generated
     */
    private Integer releaseUserRoleNum;

    /**
     * 来源 1：中心、2：领导交办、3： 12345、4 ：市长信箱
     *
     * @mbg.generated
     */
    private Integer comeFrom;
    /**
     * 受理日期
     *
     * @mbg.generated
     */
    private Date acceptTime;

    /**
     * 诉讼类型 1求助、2投诉
     *
     * @mbg.generated
     */
    private Integer litigationType;

    /**
     * 投诉人
     *
     * @mbg.generated
     */
    private String complaintsPerson;

    /**
     * 投诉人电话
     *
     * @mbg.generated
     */
    private String complaintsPhone;

    private String objectId;

    /**
     * 统计所用
     *
     * @mbg.generated
     */
    private String wgParentId;

    /**
     * 统计所用
     *
     * @mbg.generated
     */
    private String wgParentName;

    /**
     * 统计所用
     *
     * @mbg.generated
     */
    private String parentMattetrId;

    /**
     * 统计所用
     *
     * @mbg.generated
     */
    private String parentMattetrName;

    /**
     * 关联对象id
     *
     * @mbg.generated
     */
    private String gldxId;

    private String xietiao;

    /**
     * 通知状态 1执行任务未超时已通知 2执行任务超时已通知 3评价任务未超时已通知 4评价任务已超时已通知
     *
     * @mbg.generated
     */
    private String tongzhiStatus;

    /**
     * 执行照片
     *
     * @mbg.generated
     */
    private String performPicture;

    /**
     * 任务详情
     *
     * @mbg.generated
     */
    private String tkDetail;

    /**
     * 附件
     *
     * @mbg.generated
     */
    private String filePath;

    private static final long serialVersionUID = 1L;

    private int color;
    private String comeFrom2;
    private String assId;
    private String assCommonTkId;

    private String wgCentreCoordinate;

    /**
     * 指派人id
     *
     * @mbg.generated
     */
    private String assAssignedUserId;

    private String assAssignedUserName;

    private Date assAssignedCreatetime;

    /**
     * 指派人角色 1三级网格长-2二级网格长-3一级网格职能部门-4服务中心
     *
     * @mbg.generated
     */
    private Integer assAssignedRole;

    /**
     * 被指派人id
     *
     * @mbg.generated
     */
    private String assBeassignedUserId;

    /**
     * 被指派人姓名
     *
     * @mbg.generated
     */
    private String assBeassignedUserName;

    /**
     * 指派人角色 1三级网格长-2二级网格长-3一级网格职能部门-4服务中心
     *
     * @mbg.generated
     */
    private Integer assBeassignedRole;

    /**
     * 指派状态
     *
     * @mbg.generated
     */
    private Integer assAssignedStatus;

    /**
     * 执行完成时间
     *
     * @mbg.generated
     */
    private Date assAssignedEndTime;

    /**
     * 指派说明
     *
     * @mbg.generated
     */
    private String assAssignedNode;

    /**
     * 操作记录集合
     */
    private List<TkCommonTaskDynamic> tkCommonTaskDynamics;


    private String loginUserRole;

    private int wgTaskNum;
    private int comeTaskNum;


    /**
     * 操作转督办数据
     */
    private List<TkCommonLeader> tkCommonLeaders;

    /**
     * 操作领导签qi数据
     */
    private List<TkCommonQianpi> tkCommonQianpi;

    /**
     * 是否催办
     */
    private boolean cuiban;

    private String loginUserGrid;

    /**
     * 状态
     */
    private String zt;

    /**
     * 关联对象名字
     */
    private String glName;

    private String dxlx;

    private String qylx;

    private String qyBaseId;

    private String qyCode;

    private String sjfl;

    public String getSjfl() {
        return sjfl;
    }

    public void setSjfl(String sjfl) {
        this.sjfl = sjfl;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTkId() {
        return tkId;
    }

    public void setTkId(String tkId) {
        this.tkId = tkId;
    }

    public Integer getTkStatus() {
        return tkStatus;
    }

    public void setTkStatus(Integer tkStatus) {
        this.tkStatus = tkStatus;
    }

    public String getTkName() {
        return tkName;
    }

    public void setTkName(String tkName) {
        this.tkName = tkName;
    }

    public String getReleaseUserId() {
        return releaseUserId;
    }

    public void setReleaseUserId(String releaseUserId) {
        this.releaseUserId = releaseUserId;
    }

    public String getReleaseUserName() {
        return releaseUserName;
    }

    public void setReleaseUserName(String releaseUserName) {
        this.releaseUserName = releaseUserName;
    }

    public String getAssignedUserId() {
        return assignedUserId;
    }

    public void setAssignedUserId(String assignedUserId) {
        this.assignedUserId = assignedUserId;
    }

    public String getAssignedUserName() {
        return assignedUserName;
    }

    public void setAssignedUserName(String assignedUserName) {
        this.assignedUserName = assignedUserName;
    }

    public String getPerformUserId() {
        return performUserId;
    }

    public void setPerformUserId(String performUserId) {
        this.performUserId = performUserId;
    }

    public String getPerformUserName() {
        return performUserName;
    }

    public void setPerformUserName(String performUserName) {
        this.performUserName = performUserName;
    }

    public Date getAssignedEndTime() {
        return assignedEndTime;
    }

    public void setAssignedEndTime(Date assignedEndTime) {
        this.assignedEndTime = assignedEndTime;
    }

    public Date getAssignedTime() {
        return assignedTime;
    }

    public void setAssignedTime(Date assignedTime) {
        this.assignedTime = assignedTime;
    }

    public String getAssignedNode() {
        return assignedNode;
    }

    public void setAssignedNode(String assignedNode) {
        this.assignedNode = assignedNode;
    }

    public String getPerformNode() {
        return performNode;
    }

    public void setPerformNode(String performNode) {
        this.performNode = performNode;
    }

    public String getZpVerificationUserId() {
        return zpVerificationUserId;
    }

    public void setZpVerificationUserId(String zpVerificationUserId) {
        this.zpVerificationUserId = zpVerificationUserId;
    }

    public String getZpVerificationUserName() {
        return zpVerificationUserName;
    }

    public void setZpVerificationUserName(String zpVerificationUserName) {
        this.zpVerificationUserName = zpVerificationUserName;
    }

    public String getVerificationUserId() {
        return verificationUserId;
    }

    public void setVerificationUserId(String verificationUserId) {
        this.verificationUserId = verificationUserId;
    }

    public String getVerificationUserName() {
        return verificationUserName;
    }

    public void setVerificationUserName(String verificationUserName) {
        this.verificationUserName = verificationUserName;
    }

    public Date getVerificationEndTime() {
        return verificationEndTime;
    }

    public void setVerificationEndTime(Date verificationEndTime) {
        this.verificationEndTime = verificationEndTime;
    }

    public Date getVerificationTime() {
        return verificationTime;
    }

    public void setVerificationTime(Date verificationTime) {
        this.verificationTime = verificationTime;
    }

    public String getVerificationNode() {
        return verificationNode;
    }

    public void setVerificationNode(String verificationNode) {
        this.verificationNode = verificationNode;
    }

    public Integer getVerificationStatus() {
        return verificationStatus;
    }

    public void setVerificationStatus(Integer verificationStatus) {
        this.verificationStatus = verificationStatus;
    }

    public Integer getTkScore() {
        return tkScore;
    }

    public void setTkScore(Integer tkScore) {
        this.tkScore = tkScore;
    }

    public String getEndNode() {
        return endNode;
    }

    public void setEndNode(String endNode) {
        this.endNode = endNode;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getPriorityType() {
        return priorityType;
    }

    public void setPriorityType(Integer priorityType) {
        this.priorityType = priorityType;
    }

    public String getBelongGrid() {
        return belongGrid;
    }

    public void setBelongGrid(String belongGrid) {
        this.belongGrid = belongGrid;
    }

    public Integer getMatterType() {
        return matterType;
    }

    public void setMatterType(Integer matterType) {
        this.matterType = matterType;
    }

    public String getMatterId() {
        return matterId;
    }

    public void setMatterId(String matterId) {
        this.matterId = matterId;
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    public Integer getTimeDelay() {
        return timeDelay;
    }

    public void setTimeDelay(Integer timeDelay) {
        this.timeDelay = timeDelay;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Date getReleaseTime() {
        return releaseTime;
    }

    public void setReleaseTime(Date releaseTime) {
        this.releaseTime = releaseTime;
    }

    public String getTkAddress() {
        return tkAddress;
    }

    public void setTkAddress(String tkAddress) {
        this.tkAddress = tkAddress;
    }

    public Integer getHandleType() {
        return handleType;
    }

    public void setHandleType(Integer handleType) {
        this.handleType = handleType;
    }

    public String getOverseeId() {
        return overseeId;
    }

    public void setOverseeId(String overseeId) {
        this.overseeId = overseeId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getStandby1() {
        return standby1;
    }

    public void setStandby1(String standby1) {
        this.standby1 = standby1;
    }

    public String getStandby2() {
        return standby2;
    }

    public void setStandby2(String standby2) {
        this.standby2 = standby2;
    }

    public String getStandby3() {
        return standby3;
    }

    public void setStandby3(String standby3) {
        this.standby3 = standby3;
    }

    public String getStandby4() {
        return standby4;
    }

    public void setStandby4(String standby4) {
        this.standby4 = standby4;
    }

    public String getStandby5() {
        return standby5;
    }

    public void setStandby5(String standby5) {
        this.standby5 = standby5;
    }

    public String getRoundSubtaskId() {
        return roundSubtaskId;
    }

    public void setRoundSubtaskId(String roundSubtaskId) {
        this.roundSubtaskId = roundSubtaskId;
    }

    public String getRoundSubtaskCode() {
        return roundSubtaskCode;
    }

    public void setRoundSubtaskCode(String roundSubtaskCode) {
        this.roundSubtaskCode = roundSubtaskCode;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getPjPersonId() {
        return pjPersonId;
    }

    public void setPjPersonId(String pjPersonId) {
        this.pjPersonId = pjPersonId;
    }

    public String getPjPersonName() {
        return pjPersonName;
    }

    public void setPjPersonName(String pjPersonName) {
        this.pjPersonName = pjPersonName;
    }

    public Integer getReleaseUserRoleNum() {
        return releaseUserRoleNum;
    }

    public void setReleaseUserRoleNum(Integer releaseUserRoleNum) {
        this.releaseUserRoleNum = releaseUserRoleNum;
    }

    public Integer getComeFrom() {
        return comeFrom;
    }

    public void setComeFrom(Integer comeFrom) {
        this.comeFrom = comeFrom;
    }

    public Date getAcceptTime() {
        return acceptTime;
    }

    public void setAcceptTime(Date acceptTime) {
        this.acceptTime = acceptTime;
    }

    public Integer getLitigationType() {
        return litigationType;
    }

    public void setLitigationType(Integer litigationType) {
        this.litigationType = litigationType;
    }

    public String getComplaintsPerson() {
        return complaintsPerson;
    }

    public void setComplaintsPerson(String complaintsPerson) {
        this.complaintsPerson = complaintsPerson;
    }

    public String getComplaintsPhone() {
        return complaintsPhone;
    }

    public void setComplaintsPhone(String complaintsPhone) {
        this.complaintsPhone = complaintsPhone;
    }

    public String getObjectId() {
        return objectId;
    }

    public void setObjectId(String objectId) {
        this.objectId = objectId;
    }

    public String getWgParentId() {
        return wgParentId;
    }

    public void setWgParentId(String wgParentId) {
        this.wgParentId = wgParentId;
    }

    public String getWgParentName() {
        return wgParentName;
    }

    public void setWgParentName(String wgParentName) {
        this.wgParentName = wgParentName;
    }

    public String getParentMattetrId() {
        return parentMattetrId;
    }

    public void setParentMattetrId(String parentMattetrId) {
        this.parentMattetrId = parentMattetrId;
    }

    public String getParentMattetrName() {
        return parentMattetrName;
    }

    public void setParentMattetrName(String parentMattetrName) {
        this.parentMattetrName = parentMattetrName;
    }

    public String getGldxId() {
        return gldxId;
    }

    public void setGldxId(String gldxId) {
        this.gldxId = gldxId;
    }

    public String getXietiao() {
        return xietiao;
    }

    public void setXietiao(String xietiao) {
        this.xietiao = xietiao;
    }

    public String getTongzhiStatus() {
        return tongzhiStatus;
    }

    public void setTongzhiStatus(String tongzhiStatus) {
        this.tongzhiStatus = tongzhiStatus;
    }

    public String getPerformPicture() {
        return performPicture;
    }

    public void setPerformPicture(String performPicture) {
        this.performPicture = performPicture;
    }

    public String getTkDetail() {
        return tkDetail;
    }

    public void setTkDetail(String tkDetail) {
        this.tkDetail = tkDetail;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public int getColor() {
        return color;
    }

    public void setColor(int color) {
        this.color = color;
    }

    public String getComeFrom2() {
        return comeFrom2;
    }

    public void setComeFrom2(String comeFrom2) {
        this.comeFrom2 = comeFrom2;
    }

    public String getAssId() {
        return assId;
    }

    public void setAssId(String assId) {
        this.assId = assId;
    }

    public String getAssCommonTkId() {
        return assCommonTkId;
    }

    public void setAssCommonTkId(String assCommonTkId) {
        this.assCommonTkId = assCommonTkId;
    }

    public String getWgCentreCoordinate() {
        return wgCentreCoordinate;
    }

    public void setWgCentreCoordinate(String wgCentreCoordinate) {
        this.wgCentreCoordinate = wgCentreCoordinate;
    }

    public String getAssAssignedUserId() {
        return assAssignedUserId;
    }

    public void setAssAssignedUserId(String assAssignedUserId) {
        this.assAssignedUserId = assAssignedUserId;
    }

    public String getAssAssignedUserName() {
        return assAssignedUserName;
    }

    public void setAssAssignedUserName(String assAssignedUserName) {
        this.assAssignedUserName = assAssignedUserName;
    }

    public Date getAssAssignedCreatetime() {
        return assAssignedCreatetime;
    }

    public void setAssAssignedCreatetime(Date assAssignedCreatetime) {
        this.assAssignedCreatetime = assAssignedCreatetime;
    }

    public Integer getAssAssignedRole() {
        return assAssignedRole;
    }

    public void setAssAssignedRole(Integer assAssignedRole) {
        this.assAssignedRole = assAssignedRole;
    }

    public String getAssBeassignedUserId() {
        return assBeassignedUserId;
    }

    public void setAssBeassignedUserId(String assBeassignedUserId) {
        this.assBeassignedUserId = assBeassignedUserId;
    }

    public String getAssBeassignedUserName() {
        return assBeassignedUserName;
    }

    public void setAssBeassignedUserName(String assBeassignedUserName) {
        this.assBeassignedUserName = assBeassignedUserName;
    }

    public Integer getAssBeassignedRole() {
        return assBeassignedRole;
    }

    public void setAssBeassignedRole(Integer assBeassignedRole) {
        this.assBeassignedRole = assBeassignedRole;
    }

    public Integer getAssAssignedStatus() {
        return assAssignedStatus;
    }

    public void setAssAssignedStatus(Integer assAssignedStatus) {
        this.assAssignedStatus = assAssignedStatus;
    }

    public Date getAssAssignedEndTime() {
        return assAssignedEndTime;
    }

    public void setAssAssignedEndTime(Date assAssignedEndTime) {
        this.assAssignedEndTime = assAssignedEndTime;
    }

    public String getAssAssignedNode() {
        return assAssignedNode;
    }

    public void setAssAssignedNode(String assAssignedNode) {
        this.assAssignedNode = assAssignedNode;
    }

    public List<TkCommonTaskDynamic> getTkCommonTaskDynamics() {
        return tkCommonTaskDynamics;
    }

    public void setTkCommonTaskDynamics(List<TkCommonTaskDynamic> tkCommonTaskDynamics) {
        this.tkCommonTaskDynamics = tkCommonTaskDynamics;
    }

    public String getLoginUserRole() {
        return loginUserRole;
    }

    public void setLoginUserRole(String loginUserRole) {
        this.loginUserRole = loginUserRole;
    }

    public int getWgTaskNum() {
        return wgTaskNum;
    }

    public void setWgTaskNum(int wgTaskNum) {
        this.wgTaskNum = wgTaskNum;
    }

    public int getComeTaskNum() {
        return comeTaskNum;
    }

    public void setComeTaskNum(int comeTaskNum) {
        this.comeTaskNum = comeTaskNum;
    }

    public List<TkCommonLeader> getTkCommonLeaders() {
        return tkCommonLeaders;
    }

    public void setTkCommonLeaders(List<TkCommonLeader> tkCommonLeaders) {
        this.tkCommonLeaders = tkCommonLeaders;
    }

    public List<TkCommonQianpi> getTkCommonQianpi() {
        return tkCommonQianpi;
    }

    public void setTkCommonQianpi(List<TkCommonQianpi> tkCommonQianpi) {
        this.tkCommonQianpi = tkCommonQianpi;
    }

    public boolean isCuiban() {
        return cuiban;
    }

    public void setCuiban(boolean cuiban) {
        this.cuiban = cuiban;
    }

    public String getLoginUserGrid() {
        return loginUserGrid;
    }

    public void setLoginUserGrid(String loginUserGrid) {
        this.loginUserGrid = loginUserGrid;
    }

    public String getZt() {
        return zt;
    }

    public void setZt(String zt) {
        this.zt = zt;
    }

    public String getGlName() {
        return glName;
    }

    public void setGlName(String glName) {
        this.glName = glName;
    }

    public String getDxlx() {
        return dxlx;
    }

    public void setDxlx(String dxlx) {
        this.dxlx = dxlx;
    }

    public String getQylx() {
        return qylx;
    }

    public void setQylx(String qylx) {
        this.qylx = qylx;
    }

    public String getQyBaseId() {
        return qyBaseId;
    }

    public void setQyBaseId(String qyBaseId) {
        this.qyBaseId = qyBaseId;
    }

    public String getQyCode() {
        return qyCode;
    }

    public void setQyCode(String qyCode) {
        this.qyCode = qyCode;
    }
}